Update Reward Settings

Updates business-level reward settings for the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/reward-settings/update' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "idempotency_key": "{{$timestamp}}-reward-settings-update", "enable_rp": true, "rp_name": "Reward Points", "rp_sales_calculation_period": 12, "rp_sales_calculation_period_type": "month" }' ``` Example success response shape: ```json { "success": true, "message": "Reward settings updated successfully.", "data": { "enable_rp": true, "rp_name": "Reward Points", "rp_sales_calculation_period": 12, "rp_sales_calculation_period_type": "month" }, "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "The same idempotency_key cannot be reused with a different payload.", "error": { "code": "idempotency_key_reused_with_different_payload", "details": {} } } ``` Common platform errors: - `idempotency_key_required` - `sp_scope_not_granted` - `sp_token_scope_missing` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
dataobject
metaobject